ตั้งค่าระดับความปลอดภัยที่จำเป็นสำหรับเทมเพลตฟอร์ม

หมายเหตุ:  เราต้องการมอบเนื้อหาวิธีใช้ปัจจุบันในภาษาของคุณให้กับคุณโดยเร็วที่สุดเท่าที่เราจะทำได้ หน้านี้ได้รับการแปลด้วยระบบอัตโนมัติ และอาจมีข้อผิดพลาดทางไวยากรณ์หรือความไม่ถูกต้อง จุดประสงค์ของเราคือเพื่อให้เนื้อหานี้มีประโยชน์กับคุณ คุณแจ้งให้เราทราบว่าข้อมูลดังกล่าวมีประโยชน์ต่อคุณที่ด้านล่างของหน้านี้ได้หรือไม่ นี่คือ บทความภาษาอังกฤษ เพื่อให้ง่ายต่อการอ้างอิง

เมื่อคุณออกแบบเทมเพลตฟอร์ม Microsoft Office InfoPath เลือกระดับความปลอดภัยที่เหมาะสมสำหรับหน้าที่การใช้งานที่จำเป็นเมื่อผู้ใช้กรอกฟอร์มโดยยึดตามเทมเพลฟอร์มของคุณโดยอัตโนมัติ ตั้งค่านี้ช่วยให้ความเชื่อถือที่จำเป็นสำหรับฟอร์มระดับที่น้อยที่สุด ตัวอย่างเช่น ระดับความปลอดภัยที่มีการจำกัดขีดจำกัดของความสามารถของฟอร์มการตั้งค่าบนคอมพิวเตอร์ของผู้ใช้และข้อมูล access บนโด เมน และไฟล์อื่น ๆ คุณสามารถแทนการตั้งค่าเริ่มต้น และเลือกระดับความปลอดภัยที่แตกต่างกันด้วยตนเองเมื่อคุณออกแบบเทมเพลตฟอร์ม ค้นหาข้อมูลเพิ่มเติมเกี่ยวกับระดับความปลอดภัยของเทมเพลตฟอร์ม InfoPath ในส่วนดูเพิ่มเติม

เทมเพลตฟอร์มใหม่ทั้งหมด เปล่า ยกเว้นรายการที่มีโค้ดที่มีการจัดการ ใช้ระดับความปลอดภัยที่มีการจำกัดตามค่าเริ่มต้น เมื่อคุณเพิ่มฟีเจอร์บางอย่างลงในเทมเพลตของคุณฟอร์ม ระดับความปลอดภัยคือโดยอัตโนมัติยกระดับโดเมน

หมายเหตุ: เมื่อต้องการเพิ่ม หรือแก้ไขโค้ดที่มีการจัดการ คุณต้องมีMicrosoft Visual Studio Tools for Applications (VSTA) ติดตั้งอยู่บนคอมพิวเตอร์ของคุณ Microsoft .NET Framework 2.0 และ Microsoft XML Core Services 6.0 จะต้องติดตั้งก่อนที่คุณติดตั้ง VSTA การติดตั้ง VSTA ในแผงควบคุม เปิดเพิ่มหรือเอาโปรแกรม ค้นหาระบบ Microsoft Office 2007 แล้วคลิกเปลี่ยนแปลง

แนวทางปฏิบัติดีเมื่อต้องการใช้ระดับความปลอดภัยที่เหมาะสมสำหรับเทมเพลตของคุณฟอร์มเพื่อช่วยให้ผู้ใช้ของคุณหลีกเลี่ยงความเสี่ยงด้านความปลอดภัยไม่จำเป็นออกได้

เมื่อต้องการตั้งค่าระดับความปลอดภัยสำหรับเทมเพลตฟอร์ม ทำต่อไปนี้:

  1. บนเมนูเครื่องมือ คลิกตัวเลือกฟอร์ม

  2. ภายใต้ประเภท คลิกความปลอดภัยและความน่าเชื่อถือ

  3. ภายใต้ระดับความปลอดภัย ล้างกล่องกำหนดระดับความปลอดภัยโดยอัตโนมัติ (แนะนำ) กล่องกาเครื่องหมายไว้

  4. คลิกระดับความปลอดภัยที่คุณต้องการ

หมายเหตุ: ถ้าเทมเพลตฟอร์จำเป็นต้องใช้ระดับความปลอดภัยที่เชื่อถือแบบเต็ม เทมเพลตฟอร์ต้องถูกติดตั้งอยู่บนคอมพิวเตอร์ของผู้ใช้ หรือเซ็นชื่อแบบดิจิทัลกับใบรับรองรากที่เชื่อถือ มิฉะนั้น ผู้ใช้จะไม่สามารถให้ความเชื่อถือแบบเต็มลงในฟอร์มโดยยึดตามเทมเพลฟอร์ม และฟีเจอร์ในฟอร์มที่พวกเขากรอกบางอย่างอาจไม่ทำงาน ไฟล์การติดตั้งสำหรับเทมเพลตฟอร์มที่สามารถทำได้ โดยใช้ตัวช่วยสร้างการประกาศ InfoPath

ขยายทักษะ Office ของคุณ
สำรวจการฝึกอบรม
รับฟีเจอร์ใหม่ก่อนใคร
เข้าร่วม Office Insider

ข้อมูลนี้เป็นประโยชน์หรือไม่

ขอบคุณสำหรับคำติชมของคุณ!

ขอขอบคุณสำหรับคำติชมของคุณ! เราคิดว่าอาจเป็นประโยชน์ที่จะให้คุณได้ติดต่อกับหนึ่งในตัวแทนฝ่ายสนับสนุน Office ของเรา

×